members.dev
ApiPayment methods

Attach Member Stripe Payment Method

Creates a Stripe Payment Method

POST
/v1/members/{member_id}/payment-methods/stripe/attach

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

member_id*string

Header Parameters

Members-Context?|

Members organization id (org_…) when the client has multiple organizations.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.members.dev/v1/members/string/payment-methods/stripe/attach" \  -H "Content-Type: application/json" \  -d '{    "provider_payment_method_id": "string"  }'
{
  "id": "string",
  "type": "offline_cash",
  "is_default": true,
  "status": "active",
  "label": "string",
  "provider": "stripe",
  "is_off_session": false,
  "details": {},
  "member_id": "string",
  "offline_payment_method_definition": {
    "type": "offline_cash",
    "name": "string",
    "instructions": "string",
    "is_enabled": true,
    "id": "string",
    "created_at": null,
    "updated_at": null
  },
  "created_at": null,
  "updated_at": null,
  "detached_at": {}
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}